{% extends "@Admin/_layout.twig" %}{#MASTER_TEMPLETE#}
{% block content %}
    <h3 class="page-header">
        {{ roleData.role_type }}
    </h3>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Movie [ {{ totalRecord }} ]
                    <a href="{{ urlFor('admin-movie') }}?clear=1" style="float:right;"
                       class=" btn btn- btn-outline  btn-xs">
                        <i class="fa fa-refresh">
                        </i>&nbsp;Refresh
                    </a>
                </div>
                <!-- /.panel-heading -->
                <div class="panel-body">
                    <div class="table-responsive">
                        <span class="errMsg">{{ errMsg }}</span>
                        <br/>

                        <span class="succMsg">{{ succMsg }}</span>
                        <br/>

                        <div class="row col-xs-4">
                            <form action="{{ urlFor('admin-movie') }}" method="POST">
                                <div class="form-group input-group">
                                    <input type="text" name="q" class="form-control" placeholder="Title | Movie Type"
                                           required/>
                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-warning" type="button">
                                        <i class="fa fa-search">
                                        </i>
                                        Search
                                    </button>
                                </span>
                                </div>
                            </form>
                        </div>
                        <form action="{{ urlFor('admin-movie-delete') }}" method="POST">
                            <div class="left-grid-action">
                                <!--    <div class="btn-group">
                                          <a class="btn btn-primary" href="#"><i class="fa fa-user fa-fw"></i> User</a>
                                          <a class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">
                                                <span class="fa fa-caret-down"></span></a>
                                          <ul class="dropdown-menu">
                                                <li><a href="#"><i class="fa fa-pencil fa-fw"></i> Edit</a></li>
                                                <li><a href="#"><i class="fa fa-trash-o fa-fw"></i> Delete</a></li>
                                                <li><a href="#"><i class="fa fa-ban fa-fw"></i> Ban</a></li>
                                                <li class="divider"></li>
                                                <li><a href="#"><i class="i"></i> Make admin</a></li>
                                          </ul>
                                        </div>-->
                                <a href="{{ urlFor('admin-movie-add') }}" class="btn btn-xs btn-success btn-outline">
                                    <i class="fa fa-plus">
                                        &nbsp;
                                    </i>Add Movie
                                </a>&nbsp;&nbsp;
                                <button type="submit" class="btn btn-xs btn-danger btn-outline"
                                        onclick=" return confirm('Are You Sure To Delete Permanentaly')">
                                    <i class="fa fa-trash-o">
                                    </i>&nbsp;Delete
                                </button>
                            </div>
                            <div class="clear"></div>
                            <table class="table table-striped table-bordered table-hover" id="dataTables-example">
                                <thead>
                                <tr class="label-primary text-white">
                                    <th>
                                        ID <a href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=id&s={{ sort }}"
                                              style="color:orange;"><i class="fa fa-sort-numeric-asc"></i></a>
                                    </th>
                                    <th>
                                        Poster
                                    </th>
                                    <th>
                                        Title <a
                                                href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=title&s={{ sort }}"
                                                style="color:orange;"><i class="fa fa-sort"></i></a>
                                    </th>
                                    <th>
                                        Movie Type <a
                                                href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=movie_type&s={{ sort }}"
                                                style="color:orange;"><i class="fa fa-sort"></i></a>
                                    </th>
                                    <th>
                                        Trailer
                                    </th>
                                    <th>
                                        Full movie
                                    </th>
                                    <th>
                                        Action
                                    </th>
                                    <th>
                                        Price <a
                                                href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=price&s={{ sort }}"
                                                style="color:orange;"><i class="fa fa-sort"></i></a>
                                    </th>
                                    <th>
                                        Created Date <a
                                                href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=created_at&s={{ sort }}"
                                                style="color:orange;"><i class="fa fa-sort"></i></a>
                                    </th>
                                    <th>
                                        Status <a
                                                href="{{ urlFor('admin-movie') }}?q={{ searchParam }}&t=status&s={{ sort }}"
                                                style="color:orange;"><i class="fa fa-sort"></i></a>
                                    </th>
                                    <th>
                                        Edit
                                    </th>
                                    <th>
                                        View
                                    </th>
                                    <th>
                                        <div class="checkbox">
                                            <label>
                                                <input type="checkbox" onchange="checkAll(this, 'toDelete[]')">Check
                                            </label>
                                        </div>
                                    </th>
                                </tr>
                                </thead>
                                <tbody>
                                {% if results|length >0 %}
                                {% for key,row in results %}
                                    <tr>
                                        <td>
                                            {{ row.id }}
                                        </td>
                                        <td>
                                            {% if row.image %}
                                                <a href="{{ AssetUri }}/{{ row.image }}"
                                                   class="highslide" onclick="return hs.expand(this)">
                                                    <img src="{{ AssetUri }}/Asset/thumb/thumb.php?src={{ AssetUri }}/{{ row.image }}&w=45&h=65"/>
                                                </a>
                                            {% else %}
                                                <img src="{{ AssetUri }}/Asset/thumb/thumb.php?src={{ AssetUri }}/Asset/Admin/images/no_image.png&w=45&h=65"/>
                                            {% endif %}
                                        </td>
                                        <td>
                                            {{ row.title }}
                                        </td>
                                        <td>
                                            {{ row.movie_type }}
                                        </td>
                                        <td>
                                            <a href="//player.vimeo.com/video/{{ row.trailer_id }}"
                                               onclick="return hs.htmlExpand(this, {objectType: 'iframe', width: 480, height: 385,allowSizeReduction: false, wrapperClassName: 'draggable-header no-footer',preserveContent: false, objectLoadTime: 'after'})"
                                               class="highslide ">
                                                {#<img src="{{ vimeo( row.trailer_id ) }}" height="40" width="65">#}
                                                Trailer
                                            </a>
                                        </td>
                                        <td>

                                            <a href="//player.vimeo.com/video/{{ row.movie_id }}"
                                               onclick="return hs.htmlExpand(this, {objectType: 'iframe', width: 480, height: 385,allowSizeReduction: false, wrapperClassName: 'draggable-header no-footer',preserveContent: false, objectLoadTime: 'after'})"
                                               class="highslide ">
                                                {#<img src="{{ vimeo( row.movie_id ) }}" height="40" width="65">#}Full
                                                Movie
                                            </a>
                                        </td>
                                        <td>
                                            <a href="{{ urlFor('admin-sub-playlist-add') }}/{{ row.id }}"
                                               data-placement="top"
                                               data-original-title="View Plylist"
                                               onclick="return hs.htmlExpand( this, {objectType: 'iframe',preserveContent: false,dragByHeading: true,width: 800,autosize: true,anchor: 'bottom right' ,wrapperClassName: 'no-footer alertBox' } )"><i
                                                        class="fa fa-plus-circle text-danger">Add to Playlist</i></a>
                                        </td>
                                        <td>
                                            <span class="text-success">$</span>{{ row.price }}
                                        </td>
                                        <td>
                                            {{ relative_date(row.created_at) }}
                                        </td>

                                        <td align="center">
                                            {% if row.status == 1 %}
                                                <a href="{{ urlFor('admin-movie-status') }}?id={{ encode(row.id) }}">
                                                    <i class="fa fa-toggle-on fa-lg text-success">
                                                    </i>
                                                </a>
                                            {% else %}
                                                <a href="{{ urlFor('admin-movie-status') }}?id={{ encode(row.id) }}">
                                                    <i class="fa fa-toggle-off fa-lg text-danger">
                                                    </i>
                                                </a>
                                            {% endif %}
                                        </td>

                                        <td align="center">
                                            <a href="{{ urlFor('admin-movie-edit') }}/{{ encode(row.id) }}">
                                                <i class="fa fa-pencil fa-lg">
                                                </i
                                            </a>
                                        </td>
                                        <td align="center">
                                            <a href="{{ urlFor('admin-movie-details') }}/{{ encode(row.id) }}">
                                                <i class="fa fa-eye fa-lg text-success">
                                                </i>
                                            </a>
                                        </td>
                                        <td>
                                            <div class="">
                                                <label>
                                                    <input type="checkbox" value="{{ encode(row.id) }}"
                                                           name="toDelete[]">
                                                </label>
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                                <tfoot>
                                <td colspan="13">
                                    {{ pagination|raw }}
                                </td>
                                </tfoot>
                                {% else %}
                                    <td colspan="13" class="errMsg"> No Result Found Try Again</td>
                                {% endif %}
                                </tbody>
                            </table>
                        </form>
                    </div>
                    <!-- /.table-responsive -->
                </div>
                <!-- /.panel-body -->
            </div>
            <!-- /.panel -->
        </div>
        <!-- /.col-lg-6 -->
    </div>
{% endblock %}